/*
 * Copyright (c) 2007, 2009, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: RemoteStatus.java 62564 2011-04-18 20:29:25Z kgrucci $
 */

package com.sun.ts.lib.harness;

import java.io.*;
import com.sun.javatest.Status;

public class RemoteStatus implements Serializable
{
	int type;
	String reason;
	
	public RemoteStatus(Status s) 
	{
		type = s.getType();
		reason = s.getReason();
	}
	
	public Status toStatus() 
	{
		return new Status(type, reason);
	}

	public int getType() 
	{
		return type;
	}
	
}
